#==============================================================================================
# 
# 
# NAME		: PS1-ControlmVar.ps1
# 
# AUTHOR	: ARTESYS 
# DATE  	: 14/09/2012
# VERSION	: v1.0.0
# COMMENT	: Create a controlm global variable with comment
# 
#==============================================================================================

#==============================================================================================
# >>> MODIFICATIONS <<<
#==============================================================================================
# VERSION	: 
# DATE  	: 
# Nature des modifications :
# Code de la demande :
# MODIFIED BY     : 
#==============================================================================================
# VERSION	: 
# DATE  	: 
# Nature des modifications :
# Code de la demande :
# MODIFIED BY     : 
#==============================================================================================
# VERSION	: 
# DATE  	: 
# Nature des modifications :
# Code de la demande :
# MODIFIED BY     : 
#==============================================================================================

#==============================================================================================
# Inputs
#
# $var : the controlm global variable
# $value : the value of the controlm global variable
#  
#==============================================================================================

#============================================
# Outputs
#
# "NOTOK" en cas d'erreur
#============================================


### DEBUT DU SCRIPT ####

#=======================================
# Inputs
#=======================================

Function ControlmVar{

	param(
		# The controlm global variable
		[String]$var,
		# The value of the controlm global variable
		[String]$value
	)

	# Initialisation de la variable d'erreur
	$error.clear();
	# Dfinir la variable globale controlM
	if ($error.count -eq 0)
	{
		$a = (& ctmvar -ACTION SET -VAR %%\$var -VAREXPR $value)
		if($a -match "success")
		{
			Write-Host "The global variable $var was created with the value $value `n"
			$result=$true
		}
		# Sinon renvoyer un message d'erreur
		else
		{
			Write-Host "Error 5101 - UNABLE TO CREATE CONTROL-M VARIABLE `n"
			Write-host "NOTOK"
			$result=$false
		}
	}
	# Sinon renvoyer un message d'erreur
	else
	{
		write-host "Error 5101 - UNABLE TO CREATE CONTROL-M VARIABLE `n $error `n" 
		Write-host "NOTOK"
		$result=$false
	}

	return $result
}
### FIN DU SCRIPT ####